Description

Change the reading page such that it loads dynamically. This could be done using a asynchronous load of the contents using an

XHR request.

Associated revisions

Revision 472 - 08/01/2013 06:12 AM - Luke Murphey

Added asynchronous loading of the contents of the reading page. Closes #600.

Revision 472 - 08/01/2013 06:12 AM - Luke Murphey

Added asynchronous loading of the contents of the reading page. Closes #600.

Revision 461 - 08/01/2013 06:12 AM - Luke Murphey

Added asynchronous loading of the contents of the reading page. Closes #600.

History

#1 - 04/12/2013 05:20 PM - Luke Murphey

Will probably want to disable caching of the main page which performs the AJAX request.

#2 - 04/12/2013 05:21 PM - Luke Murphey

- Priority changed from Normal to High

#3 - 04/18/2013 03:44 PM - Luke Murphey

Might want to consider another approach to caching that allows us to pull directly from the cache at all times: 

http://eflorenzano.com/blog/2008/11/28/drop-dead-simple-django-caching/

#4 - 08/01/2013 06:14 AM - Luke Murphey

I have asynchronous loading working. However, I keep coming to the conclusion that the caching needs to be setup differently to deal with some

problems. For example, the current caching framework treats /work/new-testament/acts/19/36 differently than /work/new-testament/acts/19/35 even

though the underlying Greek text is the same (though the highlight is different). Might want to consider optimizing this somehow.

#5 - 08/01/2013 06:14 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r472.
